self.addEventListener("fetch", (event) => {
  if (event.request.url.includes("localhost")) return; // Skip requests to localhost...
  if (!event.request.url.split("/").pop().includes(".")) return; // Skip requests to html pages and such.
  event.respondWith(
    caches.match(event.request).then((cachedResponse) => {
      if (cachedResponse) {
        return cachedResponse;
      }

      return caches.open("cache").then((cache) => {
        return fetch(event.request).then((response) => {
          // Put a copy of the response in the runtime cache.
          return cache.put(event.request, response.clone()).then(() => {
            return response;
          });
        });
      });
    }),
  );
});
