export type Translatable = string | Record<"en" | string, string>;
//eslint-disable-next-line @typescript-eslint/no-explicit-any
export type DateType = any; // Hate it, but its the only way i can get it to work...
export type ProjectFilter = (item: TransformedProject) => boolean;
export type Project = {
  id: string;
  name: Translatable;
  url?: string;
  source: string;
  dates: {
    started: DateType;
    finished?: DateType;
    lastUpdated?: DateType;
  };
  description: Translatable;
  tags?: string[];
  images?: {
    thumbnail:
      | string
      | {
          icon: string;
          color?: string;
        };
    spinner?: string[];
  };
};
export type Tag = {
  id: string;
  name: Translatable;
  icon?: string;
};
export type FileData = {
  items: TransformedProject[];
  translations: Record<string, string | Record<string, string>>;
  emailData: Record<string, string>;
  tags: Tag[];
};
export type RawFileData = Omit<FileData, "items"> & {
  items: Project[];
};
export type GenerateSettings = {
  gitUsers: string[];
  gitCommitFilters: string[];
};

export type TransformedProject = Omit<Project, "tags"> & {
  tags?: Tag[];
};
